%Funktion zur Berechnung der Zeitprozentkennwerte tau10, tau50, tau90
function [tau] = kennwert (n, m)
eps = 1e-6; % Genauigkeit, Fehlerschranke
tau = n * (m / 100 + 0.5); %Anfangswert des NEWTON-Verfahrens, anwendbar bis n <= 25
while (1)
    s = 0.0;
    for i = 0:n-1   s = s + tau^i/factorial(i); end   %Bildung der Summe
    zuwachs = (s - (1-m/100) * exp(tau)) * factorial(n-1) / (tau)^(n-1);
    tau = tau + zuwachs;
    if (abs(zuwachs) < eps) break; end  % |zuwachs| < Genauigkeit
end
    